/*
 * @Description: 常量管理
 */

/**
 * 常用时间选择
 * @param
 */
export const shortcuts = [
    {
        text: '近一周',
        value: () => {
            const end = new Date();
            const start = new Date();
            start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
            return [start, end];
        },
    },
    {
        text: '近一个月',
        value: () => {
            const end = new Date();
            const start = new Date();
            start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
            return [start, end];
        },
    },
    {
        text: '上季度',
        value: () => {
            let oDate = new Date();
            let thisYear = oDate.getFullYear();
            let thisMonth = oDate.getMonth() + 1;
            let n = Math.ceil(thisMonth / 3); // 季度
            let Month = n * 3 - 1;
            let start = new Date(thisYear, Month - 2, 1);
            let end = new Date();
            return [start, end];
        },
    },
    {
        text: '本季度',
        value: () => {
            const end = new Date();
            const start = new Date();
            start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
            return [start, end];
        },
    },
    {
        text: '去年',
        value: ()=> {
            let oDate = new Date();
            let prevYear = oDate.getFullYear() - 1;
            const end = new Date();
            const start = new Date();
            start.setFullYear(prevYear);
            start.setMonth(0);
            start.setDate(1);
            end.setFullYear(prevYear);
            end.setMonth(11);
            end.setDate(31);
            return [start, end];
        }
    },{
        text: '今年',
        value: ()=> {
            const end = new Date();
            const start = new Date();
            start.setMonth(0);
            start.setDate(1);
            return [start, end];
        }
    },
];

/**
 * @description 常用意见
 * @param  {string} Discriminate  甄别惯用语
 * @param  {string} Return  退回惯用语
 * @param  {string} Archive  归档惯用语
 * @param  {string} Teti  特提惯用语
 * @param  {string} Seat  坐席惯用语
 * @param  {string} OrderCirculation  工单流转惯用语
 * @param  {string} ReturnVisit  回访惯用语
 * @param  {string} HandleAgain  办理惯用语
 * @param  {string} Delay  延期惯用语
 * @param  {string} Supervise  督办惯用语
 * @param  {string} KnowledgeLocution  知识诉求惯用语
 */
export const commonEnum = {
    Discriminate: 'Discriminate', //  甄别惯用语
    Return: 'Return', // 退回惯用语
    Archive: 'Archive', // 归档惯用语
    Teti: 'Teti', // 特提惯用语
    Seat: 'Seat', // 坐席惯用语
    OrderCirculation: 'OrderCirculation', // 工单流转惯用语
    ReturnVisit: 'ReturnVisit', // 回访惯用语
    HandleAgain: 'HandleAgain', // 办理惯用语
    Delay: 'Delay', // 延期惯用语
    Supervise: 'Supervise', // 督办惯用语
    KnowledgeLocution: 'KnowledgeLocution', // 知识诉求惯用语
    RestReason: 'RestReason', // 小休原因
    Rest: 'Rest', // 小休常用意见
};